Whitewidow SQL Vuln Scanner Version 1.0.2

This is a self promotion of my first open source project, feel free to ignore this if you want to.

Whitewidow is an open source automated SQL vulnerability scanner that makes it easy to find SQL errors within web pages. It accomplishes this task by either running through a list of known sites using the whitewidow.rb -f <path/to/file> flag and checking for incorrectly closed syntax. Alternately Whitewidow can be run in a default mode and will scrape Google for web pages containing incorrectly closed SQL syntax: whitewidow.rb -d.

This pentesting tool is written completely in Ruby, I got tired of how all the tools are written in Python and such. To contribute, download, or just get more information feel free to check it out on Github! There's also more information in the main program file, such as usage examples, TODO lists, known bugs, and upgrades for future releases.

Link to Github: https://github.com/Ekultek/whitewidow

Thanks for reading, looking forward to some feedback.